Child Address Get Rules
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "2025-08-26T17:27:37.369Z",
"destination": {
"address": "0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE",
"asset": "USDC",
"blockchain": "base"
},
"id": "55869cbe-fa3a-44d2-a7e3-d65c08355e4d",
"isActive": true,
"isGateway": true,
"name": "Swap from USDC to Gateway",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": [
"USDC"
],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:27:37.369Z"
},
{
"createdAt": "2025-08-26T17:28:38.273Z",
"destination": {
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"asset": "USDC",
"blockchain": "optimism"
},
"id": "48c52f4a-c0bf-45c9-a322-1fef00f00431",
"isActive": true,
"name": "Swap from USDT to Optimism USDC",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": [
"USDT"
],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:28:38.273Z"
}
],
"message": "Auto settlements rules fetched successfully",
"statusCode": 200
}Child Address Get Rules
This endpoint retrieves the auto-settlement rules associated with a specific address.
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
auto-settlements
/
rules
Child Address Get Rules
Authorizations
Path Parameters
Example:
"{{walletId}}"
Example:
"534e0480-f444-40c0-bc2e-2ef17bf7999e"
Response
200 - application/json
200
Show child attributes
Show child attributes
Example:
[
{
"createdAt": "2025-08-26T17:27:37.369Z",
"destination": {
"address": "0x77777777Dcc4d5A8B6E418Fd04D8997ef11000eE",
"asset": "USDC",
"blockchain": "base"
},
"id": "55869cbe-fa3a-44d2-a7e3-d65c08355e4d",
"isActive": true,
"isGateway": true,
"name": "Swap from USDC to Gateway",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": ["USDC"],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:27:37.369Z"
},
{
"createdAt": "2025-08-26T17:28:38.273Z",
"destination": {
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"asset": "USDC",
"blockchain": "optimism"
},
"id": "48c52f4a-c0bf-45c9-a322-1fef00f00431",
"isActive": true,
"name": "Swap from USDT to Optimism USDC",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": ["USDT"],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:28:38.273Z"
}
]
Example:
"Auto settlements rules fetched successfully"
Example:
200
⌘I

